| Qore OracleSqlUtil Module Reference 1.4.3

Public Member Functions | Public Attributes | List of all members
OracleSqlUtil::OraclePackage Class Reference

represents an Oracle package More...

Inheritance diagram for OracleSqlUtil::OraclePackage:
[legend]

## Public Member Functions
| constructor (string n, string n_src, *string n_body_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
list | getCreateSql (*hash opt)
| returns a string that can be used to create the package in the database
Public Member Functions inherited from OracleSqlUtil::OracleCodeBaseNoRename
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...

## Public Attributes
*string | body_src
| package body source

## Detailed Description

represents an Oracle package

## Member Function Documentation

## ◆ constructor()

OracleSqlUtil::OraclePackage::constructor | ( | string | n,
|  | string | n_src,
|  | *string | n_body_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the package
  n_src | the source of the package declaration
  n_body_src | the package body source